- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QSslCertificate Class Reference

Search for all occurrences

## Detailed Description

Definition at line 70 of file qsslcertificate.h.

`#include <qsslcertificate.h>`

List of all members.

## Public Types
enum | SubjectInfo { Organization, CommonName, LocalityName, OrganizationalUnitName, CountryName, StateOrProvinceName }
## Public Member Functions
| QSslCertificate (QIODevice *device, QSsl::EncodingFormat format=QSsl::Pem)
| QSslCertificate (const QByteArray &encoded=QByteArray(), QSsl::EncodingFormat format=QSsl::Pem)
| QSslCertificate (const QSslCertificate &other)
| ~QSslCertificate ()
QSslCertificate & | operator= (const QSslCertificate &other)
bool | operator== (const QSslCertificate &other) const
bool | operator!= (const QSslCertificate &other) const
bool | isNull () const
bool | isValid () const
void | clear ()
QByteArray | version () const
QByteArray | serialNumber () const
QByteArray | digest (QCryptographicHash::Algorithm algorithm=QCryptographicHash::Md5) const
QString | issuerInfo (SubjectInfo info) const
QString | issuerInfo (const QByteArray &tag) const
QString | subjectInfo (SubjectInfo info) const
QString | subjectInfo (const QByteArray &tag) const
QMultiMap < QSsl::AlternateNameEntryType, QString > | alternateSubjectNames () const
QDateTime | effectiveDate () const
QDateTime | expiryDate () const
QSslKey | publicKey () const
QByteArray | toPem () const
QByteArray | toDer () const
Qt::HANDLE | handle () const
## Static Public Member Functions
static QList< QSslCertificate > | fromPath (const QString &path, QSsl::EncodingFormat format=QSsl::Pem, QRegExp::PatternSyntax syntax=QRegExp::FixedString)
static QList< QSslCertificate > | fromDevice (QIODevice *device, QSsl::EncodingFormat format=QSsl::Pem)
static QList< QSslCertificate > | fromData (const QByteArray &data, QSsl::EncodingFormat format=QSsl::Pem)
## Friends
class | QSslCertificatePrivate
class | QSslSocketBackendPrivate

## Member Enumeration Documentation

enum SubjectInfo

Search for all occurrences

Enumerator:

  Organization | Search for all occurrences
  CommonName | Search for all occurrences
  LocalityName | Search for all occurrences
  OrganizationalUnitName | Search for all occurrences
  CountryName | Search for all occurrences
  StateOrProvinceName | Search for all occurrences

Definition at line 73 of file qsslcertificate.h.

                         {
            Organization,
            CommonName,
            LocalityName,
            OrganizationalUnitName,
            CountryName,
            StateOrProvinceName
        };

## Constructor & Destructor Documentation

QSslCertificate | ( | QIODevice * | device,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`
| ) |  |

QSslCertificate | ( | const QByteArray & | encoded = `QByteArray()`,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`
| ) |  |

QSslCertificate | ( | const QSslCertificate & | other | ) |

~QSslCertificate | ( |  | ) |

## Member Function Documentation

QSslCertificate& operator= | ( | const QSslCertificate & | other | ) |

bool operator== | ( | const QSslCertificate & | other | ) | const

bool operator!= | ( | const QSslCertificate & | other | ) | const `[inline]`

Definition at line 89 of file qsslcertificate.h.

    { return !operator==(other); }

bool isNull | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

QByteArray version | ( |  | ) | const

Search for all occurrences

QByteArray serialNumber | ( |  | ) | const

Search for all occurrences

QByteArray digest | ( | QCryptographicHash::Algorithm | algorithm = `QCryptographicHash::Md5` | ) | const

Search for all occurrences

QString issuerInfo | ( | SubjectInfo | info | ) | const

Search for all occurrences

QString issuerInfo | ( | const QByteArray & | tag | ) | const

Search for all occurrences

QString subjectInfo | ( | SubjectInfo | info | ) | const

Search for all occurrences

QString subjectInfo | ( | const QByteArray & | tag | ) | const

Search for all occurrences

QMultiMap<QSsl::AlternateNameEntryType, QString> alternateSubjectNames | ( |  | ) | const

Search for all occurrences

QDateTime effectiveDate | ( |  | ) | const

Search for all occurrences

QDateTime expiryDate | ( |  | ) | const

Search for all occurrences

QSslKey publicKey | ( |  | ) | const

Search for all occurrences

QByteArray toPem | ( |  | ) | const

Search for all occurrences

QByteArray toDer | ( |  | ) | const

Search for all occurrences

static QList<QSslCertificate> fromPath | ( | const QString & | path,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`,
|  | QRegExp::PatternSyntax | syntax = `QRegExp::FixedString`
| ) |  | `[static]`

Search for all occurrences

static QList<QSslCertificate> fromDevice | ( | QIODevice * | device,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`
| ) |  | `[static]`

Search for all occurrences

static QList<QSslCertificate> fromData | ( | const QByteArray & | data,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`
| ) |  | `[static]`

Search for all occurrences

Qt::HANDLE handle | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QSslCertificatePrivate `[friend]`

Search for all occurrences

Definition at line 123 of file qsslcertificate.h.

friend class QSslSocketBackendPrivate `[friend]`

Search for all occurrences

Definition at line 124 of file qsslcertificate.h.

The documentation for this class was generated from the following file:

- QtNetwork/qsslcertificate.h

QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate
QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate QSslCertificate